For the complete documentation index, see llms.txt. This page is also available as Markdown.

Search for a company

Before creating an Entity, you can perform a lookup search to fill more details for a more accurate check

POST /api-company-search

Perform a registry search if you only have either a Company's Name or Registration Number, to retrieve the missing information and/or confirm the details match what is present on the relevant registry.

Name
Value

Content-Type

multipart/form-data

Authorization

Bearer YOUR_TOKEN

Body

Name
Type
Description

companyName

string

The entity's legal name

registrationNumber

string

The entity's registration, or company number. e.g ACN/ABN for AUS

countryISO

string

The entity's countryISO of incorporation. (ISO-3166 3 char) (required).

Request

curl --location 'https://enterprise.personr.co/api/1.1/wf/api-company-search' \
--form 'companyName="Acme Pty Ltd"' \
--form 'registrationNumber="123456789"' \
--form 'countryISO="AUS"' \
var axios = require('axios');
var FormData = require('form-data');
var data = new FormData();
data.append('companyName', 'Acme Pty Ltd');
data.append('registrationNumber', '123456789');
data.append('country', 'AUS');

var config = {
  method: 'post',
maxBodyLength: Infinity,
  url: 'https://enterprise.personr.co/api/1.1/wf/api-company-search',
  headers: { 
    ...data.getHeaders()
  },
  data : data
};

axios(config)
.then(function (response) {
  console.log(JSON.stringify(response.data));
})
.catch(function (error) {
  console.log(error);
});

Response

example for AUS companies:

{
    "results": [
        {
            "abn": "123456789",
            "acn": "123456789",
            "registeredName": "Acme Pty Ltd",
            "status": "Registered",
            "location": "VIC 3000",
            "entityType": "Australian Private Company",
            "tradingNames": [
                "ACME PTY LTD",
                "ACME MANUFACTURING PTY LTD"
            ]
        }
     ]
}



example for non-AUS companies:

{
    "results": [
        {
            "name": "ACME",
            "registrationCode": "123456789",
            "countryCode": "FR"
        }
   ]
}

Last updated

Was this helpful?